summaryrefslogtreecommitdiff
path: root/src/abslibre-tools/createworkdir
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2012-11-07 00:17:08 -0500
committerLuke Shumaker <LukeShu@sbcglobal.net>2012-11-07 00:17:08 -0500
commite9bc885c355babf7851de31db8e1920dde752993 (patch)
treefd39b7d6401ead53942f66bfc4219a06f386a23f /src/abslibre-tools/createworkdir
parentc74d072dc83c5e3b3d9462678884cd0411a7d1d0 (diff)
organize the files
Diffstat (limited to 'src/abslibre-tools/createworkdir')
-rwxr-xr-xsrc/abslibre-tools/createworkdir63
1 files changed, 63 insertions, 0 deletions
diff --git a/src/abslibre-tools/createworkdir b/src/abslibre-tools/createworkdir
new file mode 100755
index 0000000..b443c08
--- /dev/null
+++ b/src/abslibre-tools/createworkdir
@@ -0,0 +1,63 @@
+#!/bin/bash
+# CreateWorkDir
+# Creates a dir structure for working with Parabola packages
+
+# Copyright 2010 Nicolás Reynolds
+
+# ---------- GNU General Public License 3 ----------
+
+# This file is part of Parabola.
+
+# Parabola is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# Parabola is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with Parabola. If not, see <http://www.gnu.org/licenses/>.
+
+source /etc/libretools.conf
+custom_config=$XDG_CONFIG_HOME/libretools/libretools.conf
+[[ -e $custom_config ]] && source $custom_config
+
+[[ ! -d ${WORKDIR} ]] && { # Create the WORKDIR
+
+ msg "Creating WORKDIR on ${WORKDIR}"
+ mkdir -p ${WORKDIR} ||{
+ error "Could not create ${WORKDIR}"; exit 1
+ }
+
+}
+
+for _repo in ${REPOS[@]}; do # Create the staging dirs
+
+ [[ ! -d ${WORKDIR}/staging/${_repo} ]] && {
+ mkdir -p ${WORKDIR}/staging/${_repo} || {
+ error "Can't create ${WORKDIR}/staging/${_repo}"
+ exit 1
+ }
+ }
+
+done
+
+[[ ! -d ${WORKDIR}/abslibre/.git ]] && {
+ msg "Cloning into ABSLibre"
+ CMD="git clone ${ABSLIBREGIT} ${WORKDIR}/abslibre"
+ ${CMD} || {
+ error "Could not clone ABSLibre"
+ plain "Try running this command:"
+ echo
+ plain "${CMD}"
+ exit 1
+ }
+}
+
+msg "Finished, your packaging dir tree looks like this now:"
+ls --color=always ${WORKDIR}/*/*
+
+exit 0